/* 
 * Copyright (C) 2010, 2011 johnc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef GTRANSLATOR_H_
#define GTRANSLATOR_H_

#include <gtk/gtk.h>
#include <string.h>
#include <gdk/gdkkeysyms.h>

// Title to display on window
#define APP_NAME_TITLE "GTranslator"

#define OUT_OF_BOUND_FMT "Don't be silly, you do NOT want to rely on Google Translate"\
	" that much. It's just not that good. \n\n%d characters is more than enough for you."


void win_show_about(GtkWidget *widget, gpointer data);
gboolean win_key_pressed(GtkWidget *widget, GdkEventKey *event);
gboolean win_get_clipbrd(char *content);
#endif
